# This file was auto-generated by Fern from our API Definition.

import typing

import httpx

from .core.client_wrapper import AsyncClientWrapper, SyncClientWrapper
from .environment import MergeApiEnvironment
from .resources.ats.client import AsyncAtsClient, AtsClient
from .resources.hris.client import AsyncHrisClient, HrisClient


class MergeApi:
    def __init__(
        self,
        *,
        environment: MergeApiEnvironment = MergeApiEnvironment.PRODUCTION,
        account_token: typing.Optional[str] = None,
        api_key: str,
        timeout: typing.Optional[float] = 60
    ):
        self._client_wrapper = SyncClientWrapper(
            account_token=account_token, api_key=api_key, httpx_client=httpx.Client(timeout=timeout)
        )
        self.ats = AtsClient(environment=environment, client_wrapper=self._client_wrapper)
        self.hris = HrisClient(environment=environment, client_wrapper=self._client_wrapper)


class AsyncMergeApi:
    def __init__(
        self,
        *,
        environment: MergeApiEnvironment = MergeApiEnvironment.PRODUCTION,
        account_token: typing.Optional[str] = None,
        api_key: str,
        timeout: typing.Optional[float] = 60
    ):
        self._client_wrapper = AsyncClientWrapper(
            account_token=account_token, api_key=api_key, httpx_client=httpx.AsyncClient(timeout=timeout)
        )
        self.ats = AsyncAtsClient(environment=environment, client_wrapper=self._client_wrapper)
        self.hris = AsyncHrisClient(environment=environment, client_wrapper=self._client_wrapper)
